package com.persagy.apm.diagnose.timerecord.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;
import java.io.Serializable;
import java.util.Date;

/**
 * 监测指标计算时间(CalculateTimeRecord)实体类
 * @author lixing
 * @version V1.0 2021-09-10 00:13:10
 */

@Data
@ApiModel(description = "监测指标计算时间")
public class CalculateTimeRecord  implements Serializable {
    private static final long serialVersionUID = -77453694266690779L;

    @ApiModelProperty("项目id")
    private String projectId;

    @ApiModelProperty("对象id")
    private String objId;
    
    @ApiModelProperty("监测指标id")
    private String monitorIndicatorId;
    
    @ApiModelProperty("上次计算时间")
    private Date calculateLastTime;

    public static String PROP_OBJ_ID = "obj_id";
    public static String PROJECT_ID = "project_id";
    public static String PROP_MONITOR_INDICATOR_ID = "monitor_indicator_id";
    public static String PROP_CALCULATE_LAST_TIME = "calculate_last_time";

}
